%global momorel 2

Summary: Gnet, a network library
Name:      gnet
Version:   2.0.7
Release: %{momorel}m%{?dist}
License: LGPL
Group: System Environment/Libraries
Source0:   http://www.gnetlibrary.org/src/%{name}-%{version}.tar.gz
Nosource: 0
URL:       http://www.gnetlibrary.org/
BuildPrereq: pkgconfig
BuildPrereq: glib-devel >= 2.12.3
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Gnet is a simple network library.  It is writen in C, object-oriented,
and built upon GLib.  It is intended to be small, fast, easy-to-use,
and easy to port.

Features:
  * TCP "client" and "server" sockets
  * UDP and IP Multicast
  * Internet address abstraction
  * Asynchronous socket IO
  * Asynchronous DNS lookup
  * Byte packing and unpacking
  * URLs (Experimental)
  * Server and Conn objects (Experimental)

Comments and questions should be sent to gnet@gnetlibrary.org.

The Gnet homepage is at <http://www.gnetlibrary.org>.

%package devel
Summary: Header files for the Gnet library
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Gnet is a simple network library.  It is writen in C, object-oriented,
and built upon GLib.
This package allows you to develop applications that use the Gnet
library.

%prep
%setup -q

%build
./configure --prefix=%{_prefix} --libdir=%{_libdir} --enable-glib2
%__chmod 755 doc/html
%make

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
%makeinstall
find %{buildroot} -name "*la" -delete

# remove
%__rm -rf %{buildroot}%{_docdir}/libgnet2.0-dev

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%changelog
* Fri Sep  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0.7-2m)
- delete libtool library (glib-2.12.3)

* Sat Jan 28 2006 KAJIWARA, Atsushi <kajiwara@noguard.org>
- (2.0.7-1m)
- version up

* Fri May 20 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.5-6m)
- suppress AC_DEFUN warning.

* Fri Feb  4 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.1.5-5m)
- enable x86_64.

* Mon Apr 12 2004 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.1.5-4m)
- revise docdir permission

* Sat Mar 20 2004 Toru Hoshina <t@momonga-linux.org>
- (1.1.5-3m)
- revised spec for enabling rpm 4.2.

* Sun Mar  9 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1.5-2m)
- fix URL

* Thu Aug 15 2002 Kentarou Shinohara <puntium@momonga-linux.org>
- (1.1.5-1m)
- version 1.1.5

* Mon Aug 12 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.1.4-2m)
- enable glib2

* Sun Aug 11 2002 Kentarou Shinohara <puntium@momonga-linux.org>
- (1.1.4-1m)
- version 1.1.4

* Thu Mar 13 2002 Shingo Akagaki <dora@kondara.org>
- (1.1.2-2k)
- import

* Thu Oct 26 2000 Benjamin Kahn <xkahn@helixcode.com>
- Added missing file in lib/gnet

* Mon Feb 28 2000 David Helder <dhelder@umich.edu>
- Updated for version 1.0

* Sat Jan 15 2000 Xavier Nicolovici <nicolovi@club-internet.fr>
- Moved lib*.so and lib*a to the devel package
- Creation of a gnet.spec.in for autoconf process

* Wed Jan 14 2000 Xavier Nicolovici <nicolovi@club-internet.fr>
- HTML documentation has been move to /usr/doc/gnet-{version}/html

* Thu Jan 13 2000 Xavier Nicolovici <nicolovi@club-internet.fr>
- First try at an RPM

%files
%defattr(-, root, root)
%doc README COPYING ChangeLog NEWS TODO AUTHORS INSTALL HACKING
%{_libdir}/libgnet-2.0.so.*

%files devel
%defattr(-, root, root)
%doc %{_datadir}/gtk-doc/html/gnet
%{_libdir}/pkgconfig/*.pc
%{_libdir}/lib*.so
%{_libdir}/*a
%{_libdir}/gnet-2.0
%{_datadir}/aclocal/gnet-2.0.m4
%{_includedir}/gnet-2.0
